Class OpenIdTokenResponse
Response of POST /user/{userId}/openid/request_token: a token that proves the user to another service.
Implements
Inherited Members
Namespace: Uniform.Matrix.Protocol.Core
Assembly: Uniform.Matrix.Protocol.Core.dll
Syntax
public sealed record OpenIdTokenResponse : IEquatable<OpenIdTokenResponse>
Properties
| Edit this page View SourceAccessToken
The token.
Declaration
public required string AccessToken { get; init; }
Property Value
| Type | Description |
|---|---|
| string |
ExpiresIn
Seconds the token holds.
Declaration
public long ExpiresIn { get; init; }
Property Value
| Type | Description |
|---|---|
| long |
MatrixServerName
The homeserver to verify the token with.
Declaration
public required string MatrixServerName { get; init; }
Property Value
| Type | Description |
|---|---|
| string |
TokenType
Bearer.
Declaration
public string TokenType { get; init; }
Property Value
| Type | Description |
|---|---|
| string |